Hacs läßt sich nicht updaten

tzoumaz

New member
Hacs bietet Update von 1.15.2 auf 1.24.5 an, führt dies aber dann nicht durch. Wenn ich auf aktualisieren clicke, rödelt er eine Weile, danach mache ich den geforderten Neustart von HA. Nach dem Neustart bietet Hacs wieder die gleiche Aktualisierung an. Hat jemand eine Lösung. Notfalls deinstalliere ich Hacs und installiere es wieder neu, weiß aber nicht, wie das geht. Scheint jedenfalls kompliziert.
 

tzoumaz

New member
Habe ich jetzt gemacht, Update hacs angestossen, Browsercache gelöscht, Neustart, gleiches Ergebnis, er bietet mir wieder das Update an. Trotzdem danke!
 

blurrrr

Well-known member
Ist denn HACS auf der neuen Versionsnummer, oder läuft das Update nicht richtig durch? Könntest auch mal die HA-Logs schauen, vllt steht da ja noch etwas sinnvolles dazu. Bin leider auch kein HA-Spezialist 🙃
 

tzoumaz

New member
Ja, im Protokoll stehen etliche Fehlermeldungen, werde ich aber nicht schlau draus, ziemlich kryptisch, sieht so aus:
"
DeliveryError('Request failed after 5 attempts: <Status.MAC_NO_ACK: 233>')]
2022-04-28 20:20:59 WARNING (MainThread) [homeassistant.components.zha.core.channels.base] [0x6E74:1:0x0008]: async_initialize: all attempts have failed: [DeliveryError('Request failed after 5 attempts: <Status.MAC_NO_ACK: 233>'), DeliveryError('Request failed after 5 attempts: <Status.MAC_NO_ACK: 233>'), DeliveryError('Request failed after 5 attempts: <Status.MAC_NO_ACK: 233>'),"

da muss ich erst mal noch googeln. Sonst schmeisse ich hacs raus, und installiere das neu, habe noch hacs-addon. Danke erstmal!
 
Zuletzt bearbeitet von einem Moderator:

blurrrr

Well-known member
Das sieht für mich eher danach aus, als könnte HA nicht mit einer Komponente kommunizieren (kann mich aber auch täuschen). Wenn Du die Möglichkeit einer HACS-Neuinstallation hast, würde ich das wohl erstmal machen (wenn es nicht zu aufwändig ist).
 

tzoumaz

New member
Mache jetzt doch Neu-Installation von hacs. Ich habe nur 2 Themes noctis-grey und ios darkmode die nutze ich eigentlich gar nicht.
 

blurrrr

Well-known member
Und, wie ist es gelaufen? Besserung durch Neuinstallation, oder gleicher Stand wie vorher?
 

tzoumaz

New member
Bin jetzt durch, in Dienste deinstalliert, musste allerdings noch einige hacs-Dateien manuell entfernen. Neueste Version installiert und jetzt läufts. Bin gespannt, wenn das nächste Update ansteht. Falls hacs dann noch weiter rumzickt, fliegt das ganz runter.
 

blurrrr

Well-known member
Danke für's Feedback! Hoffen wir mal, dass es beim nächsten Update nicht wieder so ein Theater gibt... ☺️
 

matzch

New member
Hallo, ich habe das selbe Problem. Hacs zeig ein, dass ich auf die Version 1.26.2 (installiert ist die 1.26.0) updaten kann.
Schon alles versucht, leider erfolglos... hat jemand eine Idee?
 

matzch

New member
Hallo - danke für das Interesse... ich kann damit eher wenig anfangen.... bin kein IT-Profi:(

Dieser Fehler wurde von einer benutzerdefinierten Integration verursacht

Logger: custom_components.hacs
Source: custom_components/hacs/base.py:688
Integration: HACS (documentation, issues)
First occurred: 13:36:57 (3 occurrences)
Last logged: 17:22:06

Download failed - Cannot connect to host github.com:443 ssl:default [Try again]
Traceback (most recent call last):
File "/usr/local/lib/python3.10/site-packages/aiohttp/connector.py", line 1154, in _create_direct_connection
hosts = await asyncio.shield(host_resolved)
File "/usr/local/lib/python3.10/site-packages/aiohttp/connector.py", line 880, in _resolve_host
addrs = await self._resolver.resolve(host, port, family=self._family)
File "/usr/local/lib/python3.10/site-packages/aiohttp/resolver.py", line 33, in resolve
infos = await self._loop.getaddrinfo(
File "/usr/local/lib/python3.10/asyncio/base_events.py", line 860, in getaddrinfo
return await self.run_in_executor(
File "/usr/local/lib/python3.10/concurrent/futures/thread.py", line 58, in run
result = self.fn(*self.args, **self.kwargs)
File "/usr/local/lib/python3.10/socket.py", line 955, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/config/custom_components/hacs/base.py", line 688, in async_download_file
File "/usr/local/lib/python3.10/site-packages/aiohttp/client.py", line 535, in _request
conn = await self._connector.connect(
File "/usr/local/lib/python3.10/site-packages/aiohttp/connector.py", line 542, in connect
proto = await self._create_connection(req, traces, timeout)
File "/usr/local/lib/python3.10/site-packages/aiohttp/connector.py", line 907, in _create_connection
_, proto = await self._create_direct_connection(req, traces, timeout)
File "/usr/local/lib/python3.10/site-packages/aiohttp/connector.py", line 1166, in _create_direct_connection
raise ClientConnectorError(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host github.com:443 ssl:default [Try again]
 
Zuletzt bearbeitet von einem Moderator:

matzch

New member
noch etwas:

Dieser Fehler wurde von einer benutzerdefinierten Integration verursacht

Logger: custom_components.hacs
Source: custom_components/hacs/base.py:503
Integration: HACS (documentation, issues)
First occurred: 13:35:58 (12 occurrences)
Last logged: 17:16:03

Request exception for 'https://api.github.com/rate_limit' with - Cannot connect to host api.github.com:443 ssl:default [Try again]
Traceback (most recent call last):
File "/config/custom_components/hacs/base.py", line 449, in async_can_update
response = await self.async_github_api_method(self.githubapi.rate_limit)
File "/config/custom_components/hacs/base.py", line 503, in async_github_api_method
raise HacsException(_exception)
custom_components.hacs.exceptions.HacsException: Request exception for 'https://api.github.com/rate_limit' with - Cannot connect to host api.github.com:443 ssl:default [Try again]
 
Zuletzt bearbeitet von einem Moderator:

blurrrr

Well-known member
So, wieder im Lande... 😁

Download failed - Cannot connect to host github.com:443 ssl:default [Try again]

Zufällig irgendwelche DNS-Filter (Pi-Hole/AdGuard/etc.), oder irgendwelche dubiosen Firewall-Regeln im Spiel? 🙃

Alternativ einfach "nur" ein DNS-Problem (dann sollten aber theoretisch auch mehrere Dinge nicht mehr funktionieren), dann könnte man den DNS-Server neu angeben via HA-CLI:

Code:
ha dns options --servers dns://IP-DNS-Servers

Danach dann noch:

Code:
ha dns restart

Ich bin da leider auch nicht so im Thema, aber hier gibt es durchaus Leute, die sich wesentlich besser mit sowas auskennen als ich, vielleicht warten wir da einfach nochmal ab 🙂
 

the other

Well-known member
Moinsen,
ich kann dir da leider auch nicht wirklich weiterhelfen...
Hier läuft als aktuelle HACS Version die 1.26.2. Lief problemlos "damals" durch.
Welche jeweiligen Vesionen von
-Supervisor
-Core
-OS
sind denn bei dir installiert?
 

matzch

New member
Hallo, mein System läuft auf einem Rasi 4 eigentlich problemlos - bis auf die Aktualisierung von Hacs.
-Home Assistant 2022.8.2
-Supervisor 2022.07.0
-Operating System 8.4
-Frontend 20220802.0 - latest

Das mit Hacs hat so angefangen, dass ich vor einiger Zeit die Updates noch manual (Integration - erneut herunterladen) machen konnte... aber jetzt geht gar nix mehr...
 

Zurzeit aktive Besucher

Keine Mitglieder online.

Letzte Anleitungen

Statistik des Forums

Themen
937
Beiträge
13.660
Mitglieder
466
Neuestes Mitglied
wischi83
Oben